;+
; Project     : HINODE/EIS
;
; Name        : WRITE_DIR
;
; Purpose     : Test if directory is writeable
;
; Inputs      : DIR  = directory name to test
;
; Keywords    : See WRITE_DIR2
;
; Version     : Written, 12-Nov-2006, Zarro (ADNET/GSFC)
;                - uses better FILE_TEST
;
; Contact     : dzarro@solar.stanford.edu
;-

function write_dir,dir,out=out,valid_dir=valid_dir,err=err,_extra=extra

forward_function file_test

err=''
if is_blank(dir) then return,0b

if since_version('5.4') then begin
 out=chklog(dir,/pre)
 if arg_present(valid_dir) then valid_dir=file_test(out,/dir)
 return,file_test(out,/dir,/write)
endif

return,write_dir2(dir,out=out,valid_dir=valid_dir,err=err,_extra=extra)

end
