;+
; This is a new routine that needs further testing, development, and enhancements.
;
; $LastChangedBy: davin-win $
; $LastChangedDate: 2006-12-15 12:31:28 -0800 (Fri, 15 Dec 2006) $
; $LastChangedRevision: 108 $
; $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/ssl_general/trunk/CDF/cdf_info_to_tplot.pro $
;-
pro cdf_info_to_tplot,cdfi,vars,prefix=prefix,all=all,verbose=verbose

if size(prefix,/type) ne 7 then prefix=''

if size(cdfi,/type) ne 8 then begin
    message,/info,'Must provide a CDF structure'
    return
endif

varnames=cdfi.vars.name

nv =n_elements(varnames)

for i=0,nv-1 do begin
   v=cdfi.vars[i]
   if keyword_set(verbose) then print,v.name
   attr = *v.attrptr
   var_type = struct_value(attr,'var_type',def= keyword_set(all) ? 'data':'')
   depend_time = struct_value(attr,'depend_time',def='time')
   depend_0 = struct_value(attr,'depend_0',def='Epoch')
   depend_1 = struct_value(attr,'depend_1',def='')
   depend_2 = struct_value(attr,'depend_2',def='')
   display_type = struct_value(attr,'display_type',def='time_series')
   scaletyp = struct_value(attr,'scaletyp',def='linear')
   fill_val = struct_value(attr,'fill_val',def=!values.f_nan)
   fieldnam = struct_value(attr,'fieldnam',def=v.name)

   if strcmp( v.name , 'Epoch',5, /fold_case) and (v.datatype ne 'CDF_S1970') then begin
       *(v.dataptr) =time_double(/epoch, *(v.dataptr) )     ; convert to UNIX_time
       cdfi.vars[i].datatype = 'CDF_S1970'
       continue
   endif
   if strcmp( var_type , 'data',/fold_case) eq 0 then continue

   j = (where(strcmp(varnames , depend_time,/fold_case),nj))[0]
   if nj gt 0 then tvar = cdfi.vars[j]  else  begin
     j = (where(strcmp(varnames ,depend_0,/fold_case),nj))[0]
     if nj gt 0 then tvar = cdfi.vars[j]
   endelse

   j = (where(strcmp(varnames , depend_1,/fold_case),nj))[0]
   if nj gt 0 then var_1 = cdfi.vars[j]

   j = (where(strcmp(varnames , depend_2,/fold_case),nj))[0]
   if nj gt 0 then var_2 = cdfi.vars[j]

   data = {x:tvar.dataptr,y:v.dataptr}
   spec = strcmp(display_type,'spectrogram',/fold_case)
   log  = strcmp(scaletyp,'log',3,/fold_case)

   if keyword_set(data.x) then begin
     cdfstuff={filename:cdfi.filename,gatt:cdfi.g_attributes,vatt:attr}
;stop
     if keyword_set(var_1) then data = {x:tvar.dataptr,y:v.dataptr,v:var_1.dataptr}
     dlimit = {cdf:cdfstuff,spec:spec,log:log}
     store_data,prefix+v.name,data=data,dlimit=dlimit
   endif
   var_1=0
endfor

end

