;+
;  PRO themis_environment
;  This file will set up the location of data files at a particular location.
;  Typically this procedure is called from within the IDL_startup file.
;  This should be the only THEMIS file that requires modification for different locals,
;  On UNIX-like systems, 
;  the environment can be modified (e.g. using a modifed version of 
;  setup_themis or setup_themis_bash), rather than modifying this file.
;-
pro themis_environment,location

if not keyword_set(location) then location='SSL'

if strcmp(location,'SSL') eq 1 then begin
   if !version.os_family  eq 'Windows' then begin
      root_dir=''
  ;    root_dir='\\justice\data\themis\'                             ; uncomment this line to get  direct access to files
      if not file_test(/directory,root_dir) then begin              ; warning system hangs a long time if default isn't available
          root_dir = 'C:\data\themis\'                              ; Files stored locally
          remote_host_dir= 'http://sprg.ssl.berkeley.edu/data/themis/'
      endif

   endif
   if !version.os_family eq 'unix' then begin
      root_dir = getenv('THEMIS_DATA_DIR') 
      if root_dir EQ '' THEN root_dir = '/disks/data/themis/'
      remote_host_dir = getenv('THEMIS_REMOTE_HOST_DIR') 
      if remote_host_dir EQ '' then $
         remote_host_dir = 'http://sprg.ssl.berkeley.edu/data/themis/'
   endif
endif
if keyword_set(root_dir) then  setenv,'THEMIS_DATA_DIR'+'='+root_dir
if keyword_set(remote_host_dir) then  setenv,'THEMIS_REMOTE_HOST_DIR'+'='+remote_host_dir

end
