;+
;NAME:
;thm_ui_dataselect
;PURPOSE:
;A widget to choose what type of data to input
;CALLING SEQUENCE:
;thm_ui_dataselect
;HISTORY:
; sep-2006, jmm, jimm@ssl.berkeley.edu
;
;$LastChangedBy$ J McTiernan
;$LastChangedDate$ 5-Dec-2006
;$LastChangedRevision$ Added comments
;$URL$ mailto:jimm@ssl.berkeley.edu
;
;-
common dataselect_private, arrx, arr
pro thm_ui_dataselect_event, event
  common thm_ui_dataselect_private, arrx, arr
;what happened?
  widget_control, event.id, get_uval = uval
  Case uval Of
    'EXIT': widget_control, event.top, /destroy
    'DTYP': begin
; get state
      widget_control, event.top, get_uval = state, /no_copy
; get array index
      pindex = widget_info(state.wdtyp, /list_select)
; update state
      arr = arrx[pindex]
      state.dtypstring = arr
; save state
      widget_control, event.top, set_uval = state, /no_copy
    End
  Endcase
  Return
End

Pro thm_ui_dataselect

  common thm_ui_dataselect_private, arrx, arr
;create the widget
  thmds = widget_base(/col, title = 'THM Choose datatype', $
                     tlb_frame_attr = 1)
;Just one list_widget
  dtypw = widget_base(thmds, /col, frame = 5, /align_center)
  flabel = widget_label(dtypw, value = 'Choose Datatype')

  dtypid = widget_base(dtypw, /row, /align_center, /frame)
  dtyplist = widget_list(dtypid, value = arrx, xsiz = 20, $
                         ysiz = n_elements(arrx)+5, uval = 'DTYP')
;  exit button
  butwid = widget_base(dtypw, /col, /align_center)
  exbut = widget_button(butwid, val = ' Accept and Close ', $
                        uval = 'EXIT', /align_center)

 ;state structure
  dtypstring = ''
  state={wdtyp:dtyplist, dtypstring:dtypstring}
  widget_control, thmds, set_uval = state, /no_copy

;  realize
  widget_control, thmds, /realize
  xmanager, 'thm_ui_dataselect', thmds
End
