;+
;Procedure: THM_LOAD_ASK
;
;Purpose:  Loads THEMIS All Sky Keograms
;
;keywords:
;   TRANGE= (Optional) Time range of interest  (2 element array).
;   /VERBOSE : set to output some useful info
;   /ALL     : get all All SKY keogram stations
;Example:
;   thg_load_ask,/all
;Notes:
;  This routine is (should be) platform independent.
;
;
; $LastChangedBy: davin-win $
; $LastChangedDate: 2006-12-15 12:17:04 -0800 (Fri, 15 Dec 2006) $
; $LastChangedRevision: 105 $
; $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/thmsoc/trunk/idl/themis/ground/thm_load_ask.pro $
;-
pro thm_load_ask,stations,all=all,files=files,trange=trange,verbose=verbose

themis_init
if keyword_set(stations) then message,/info,'Sorry, Must get all stations for now.'

if not keyword_set(files) then begin

;   local_root_dir  = getenv('THEMIS_DATA_DIR')
 ;  remote_host_dir = getenv('THEMIS_REMOTE_HOST_DIR')

   relpath = 'thg/l1/asi/ask/'
   prefix = 'thg_l1_ask_'
   ending = '_v01.cdf'
   relpathnames = file_dailynames(relpath,prefix,ending,/YEARDIR,trange=trange)

   files = file_retrieve(relpathnames,local_root=!themis.local_data_dir,remote_root=!themis.remote_data_dir)

endif
if keyword_set(verbose) then print,transpose(['Loading...',files])
cdf2tplot,/all,file=files,verbose=verbose     ; load data into tplot variables

end
