;+
;Procedure: THM_LOAD_EFI
;
;Purpose:  Loads THEMIS EFI data
;
;keywords:
;   TRANGE= (Optional) Time range of interest  (2 element array).
;   /VERBOSE : set to output some useful info
;   /ALL
;Example:
;   thg_load_efi,/all
;Notes:
;
; $LastChangedBy: davin-win $
; $LastChangedDate: $
; $LastChangedRevision:  $
; $URL $
;-
pro thm_load_efi,scs,all=all,files=files,trange=trange,verbose=verbose

themis_init

if not keyword_set(scs) then scs = ['a','b','c','d','e']

for s=0,n_elements(scs)-1 do begin
     sc = scs[s]
     name = 'efw'
     relpath = 'th'+sc+'/l1/'+ name+'/'
     prefix = 'th'+sc+'_l1_'+name+'_'
     ending = '_v01.cdf'

     relpathnames = file_dailynames(relpath,prefix,ending,/YEARDIR,trange=trange)

     files = file_retrieve(relpathnames,local_root=!themis.local_data_dir,remote_root=!themis.remote_data_dir)
     cdf2tplot,file=files,all=all,verbose=verbose     ; load data into tplot variables

endfor

end
